﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace WpfApplication1
{
    public class DataPoint
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }
    
    public partial class MainWindow : Window
    {
        public IList<DataPoint> DataPoints { get; private set; }
        public MainWindow()
        {
            InitializeComponent();
            DataPoints = new List<DataPoint>();
            for (int i = 0; i < 24; i++)
            {
                DataPoints.Add(new DataPoint { Date = DateTime.Today.AddHours(i), Value = i });
            }
            ctrlChart.DataContext = this;
            ctrlChart1.DataContext = this;
        }
    }
}
